Bug 1731974 - hgview-curses fails to install on Fedora 31 due to missing Python 2 dependencies
Summary: hgview-curses fails to install on Fedora 31 due to missing Python 2 dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hgview
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1737931
Blocks: PY2FTBI F31FailsToInstall F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-07-22 13:02 UTC by Miro Hrončok
Modified: 2019-10-26 17:25 UTC (History)
1 user (show)

Fixed In Version: hgview-1.12.0-3.fc31 hgview-1.12.0-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-26 17:22:34 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-22 13:02:56 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install hgview-curses
Problem: conflicting requests
 - nothing provides python2-urwid needed by hgview-curses-1.10.2-1.fc29.noarch


If possible please switch to Python 3. If not possible, the package will probably need to be removed from Fedora.

Thanks.

Comment 1 Miro Hrončok 2019-07-29 09:23:12 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 2 Miro Hrončok 2019-08-05 08:47:28 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 3 Miro Hrončok 2019-08-06 09:10:08 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install hgview
Problem: conflicting requests
 - nothing provides python2-qscintilla needed by hgview-1.10.2-1.fc29.noarch

Comment 4 Mads Kiilerich 2019-08-06 10:12:04 UTC
Migration to Python3 depends on the Mercurial maintainer switching over ...

Comment 5 Miro Hrončok 2019-08-06 10:21:45 UTC
That is indeed true but this package still doesn't install. In case Mercurial is not switched before the beta freeze, hgview should be retired.

Comment 6 Mads Kiilerich 2019-08-07 00:27:56 UTC
python2-qscintilla came back with

* Mon Aug 05 2019 Rex Dieter <rdieter@fedoraproject.org> - 2.11.2-4
- re-enable python2, python-qt5 FTBFS fixed (#1737206)

A new build with hgview-1.10.5-4.fc31 is coming in https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b1b50e401 and the Qt interface works fine.


Now, only the curses subpackage depends on python2-urwid . I guess I will disable that subpackage ...

Comment 7 Miro Hrončok 2019-08-13 14:59:03 UTC
Mads, lets remove it?

Error: 
 Problem: conflicting requests
  - nothing provides python2-urwid needed by hgview-curses-1.10.5-4.fc31.noarch

Comment 8 Ben Cotton 2019-08-13 16:57:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 9 Ben Cotton 2019-08-13 17:03:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 10 Mads Kiilerich 2019-08-13 19:25:04 UTC
The issue will be fixed when a Python 3 Mercurial is available and hgview can move to python3-urwid.

It is unfortunate for us that libraries are dropping Python2 support and breaking other packages before our dependency is ready.

Comment 11 Miro Hrončok 2019-08-21 15:47:02 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 12 Mads Kiilerich 2019-08-29 10:30:54 UTC
I don't hope there is any reason to assume that the blocker bug won't be resolved before freeze.

The issue will be resolved when Python 3 Mercurial is packaged.

Comment 13 Miro Hrončok 2019-10-04 19:40:28 UTC
The final freeze is at 2019-10-08. The blocker bug wasn't resolved yet. hgview-curses still fail to install in Fedora 31:

Error: 
 Problem: conflicting requests
  - nothing provides python2-urwid needed by hgview-curses-1.10.5-4.fc31.noarch

Comment 14 Fedora Update System 2019-10-05 14:26:25 UTC
FEDORA-2019-b147f0c427 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b147f0c427

Comment 15 Fedora Update System 2019-10-06 02:46:50 UTC
hgview-1.12.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b147f0c427

Comment 16 Fedora Update System 2019-10-13 11:15:52 UTC
FEDORA-2019-5791b519f9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5791b519f9

Comment 17 Fedora Update System 2019-10-13 18:35:41 UTC
hgview-1.12.0-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5791b519f9

Comment 18 Fedora Update System 2019-10-26 17:22:34 UTC
hgview-1.12.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-10-26 17:25:33 UTC
hgview-1.12.0-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.